Name:          jackson-parent
Version:       2.11
Release:       %mkrel 2
Group:         Development/Java
Summary:       Parent pom for all Jackson components
License:       ASL 2.0

URL:           https://github.com/FasterXML/jackson-parent
Source0:       %{url}/archive/%{name}-%{version}.tar.gz
# jackson-parent package don't include the license file
# reported @ https://github.com/FasterXML/jackson-parent/issues/1
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  maven-local
BuildRequires:  mvn(com.fasterxml:oss-parent:pom:)

BuildArch:     noarch

%description
Project for parent pom for all Jackson components.

%prep
%setup -q -n %{name}-%{name}-%{version}

cp -p %{SOURCE1} LICENSE
sed -i 's/\r//' LICENSE

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE



%changelog
* Tue Oct 20 2020 neoclust <neoclust> 2.11-2.mga8
+ Revision: 1637313
- Rebuild because of broken deps

* Sat Sep 05 2020 daviddavid <daviddavid> 2.11-1.mga8
+ Revision: 1622423
- Update to version 2.11

* Sun Feb 16 2020 umeabot <umeabot> 2.10-2.mga8
+ Revision: 1536155
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 2.10-1.mga8
+ Revision: 1453485
- Update to version 2.10

* Thu Feb 07 2019 daviddavid <daviddavid> 2.9.1.2-1.mga7
+ Revision: 1363823
- Update to latest upstream release 2.9.1.2

* Tue Sep 18 2018 umeabot <umeabot> 2.9.1.1-2.mga7
+ Revision: 1262190
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update to version 2.9.1.1

* Wed Mar 02 2016 neoclust <neoclust> 2.6.2-4.mga6
+ Revision: 981784
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.6.2-3.mga6
+ Revision: 976469
- First rebuild of the java stack
- sync package jackson-parent with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 2.4.1-4.mga5
+ Revision: 805683
- Clean rebuild
- Restore
+ sander85 <sander85>
- Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 2.4.1-2.mga5
+ Revision: 743067
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 pterjan <pterjan> 2.4.1-1.mga5
+ Revision: 738141
- imported package jackson-parent


* Wed Jul 02 2014 gil cattaneo <puntogil@libero.it> 2.4.1-1
- initial rpm
